Skip to main content
GET
/
agents
/
{agent_id}
/
tools
/
available
Get Available Tools
curl --request GET \
  --url https://api.example.com/agents/{agent_id}/tools/available \
  --header 'Authorization: Bearer <token>'
[
  {
    "tool_key": "<string>",
    "connected": true,
    "enabled_for_agent": true,
    "display_name": "<string>",
    "ui_manifest": {},
    "scopes": [
      "<string>"
    ],
    "connect_url": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Response

Successful Response

tool_key
string
required
connected
boolean
required
enabled_for_agent
boolean
required
display_name
string
required
ui_manifest
Ui Manifest · object
required
scopes
string[]
required
connect_url
string | null